library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_unsigned.all;
use ieee.std_logic_arith.all;

use work.am2910_comp.all;

entity incrementer is
  port (
    A_in     : in  std_logic_vector(11 downto 0);
    Carry_in : in  std_logic;
    Sum_out  : out std_logic_vector(11 downto 0));
end incrementer;

architecture arch_incrementer of incrementer is

  signal A     : std_logic_vector(11 downto 0);
  signal Carry : std_logic;
  signal Sum   : std_logic_vector(11 downto 0);

begin

  A       <= A_in;
  Carry   <= Carry_in;
  Sum_out <= Sum;

  Sum <= A + Carry;

end arch_incrementer;
