library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_unsigned.all;
use ieee.std_logic_arith.all;

library unisim;
use unisim.vcomponents.all;

use work.S3_IF_comp.all;

entity CLK_IF is
  port (
    CLK_50MHZ_input  : in  std_logic;
    CLK_AUX_input    : in  std_logic;
    CLK_50MHZ_output : out std_logic;
    CLK_AUX_output   : out std_logic);
end CLK_IF;

architecture arch_CLK_IF of CLK_IF is

begin  -- arch_CLK_IF

  U1 : IBUFG
    port map (
      I => CLK_50MHZ_input,
      O => CLK_50MHZ_output);

  U2 : IBUFG
    port map (
      I => CLK_AUX_input,
      O => CLK_AUX_output);

end arch_CLK_IF;
