library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_unsigned.all;
use ieee.std_logic_arith.all;
use work.am2910_comp.all;

entity zero_detector is
  port (
    D_in     : in  std_logic_vector(11 downto 0);
    Zero_out : out std_logic);
end zero_detector;

architecture arch_zero_detector of zero_detector is

  signal D    : std_logic_vector(11 downto 0);
  signal Zero : std_logic;

begin

  D <= D_in;

  Zero_out <= Zero;

  Zero <= not (D(0) or
               D(1) or
               D(2) or
               D(3) or
               D(4) or
               D(5) or
               D(6) or
               D(7) or
               D(8) or
               D(9) or
               D(10) or
               D(11));

end arch_zero_detector;
