library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_unsigned.all;
use ieee.std_logic_arith.all;

library unisim;
use unisim.vcomponents.all;

use work.S3_IF_comp.all;

entity LED_IF is

  port (
    LED_input  : in  std_logic_vector(7 downto 0);
    LED_output : out std_logic_vector(7 downto 0));
end LED_IF;

architecture arch_LED_IF of LED_IF is

begin  -- arch_LED_IF

  LED_Loop : for LED_index in 0 to 7 generate

    obuf_LED : OBUF
      port map (
        I => LED_input(LED_index),
        O => LED_output(LED_index));

  end generate LED_Loop;

end arch_LED_IF;
